TTTT Analysis 0.1

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
fv::GenContainer Class Referenceabstract

Generic, untyped parent class of Container. More...

`#include <container.hpp>`

Inheritance diagram for fv::GenContainer:
[legend]

## Public Member Functions
| GenContainer (const std::string name, const std::string &desc)
| GenContainer (const std::string name)
GenContainer * | add_filter (GenValue *filter)
void | fill ()
void | set_description (const std::string &description)
const std::string & | get_name ()
virtual const std::string & | get_value_name ()
virtual void | save_as (const std::string &fname, const SaveOption &option)=0
virtual void | save (const SaveOption &option=SaveOption::PNG)

## Protected Member Functions
virtual void | _fill ()=0

## Private Attributes
std::string | name
std::string | desc
std::vector< ObsFilter * > | filters

## Detailed Description

Generic, untyped parent class of Container.

Used to allow for placing Containers of disparate types in common data structures.

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/container.hpp